require_dependency "tpt/rails/application_controller"

class Tpt::Rails::ErrorTestsController < Tpt::Rails::ApplicationController
  def index
    emit_metric
    report_error
    render json: { message: "metric emitted and error reported" }
  end

  private

  def emit_metric
    Tpt::Rails.statsd.increment("error_test")
  end

  def report_error
    raise "just testing"
  rescue => e
    Tpt::Rails.report(e)
  end
end
