require_dependency "tpt/rails/application_controller"

class Tpt::Rails::HealthChecksController < ApplicationController
  def index
    results = Tpt::Rails.config.health_checks.check

    healthy = results.values.all?
    code = healthy ? 200 : 500

    render(
      status: code,
      json: {
        healthy: healthy,
        checks: results,
      },
    )
  end
end
