Tpt::Rails.configure do |config|
  config.app_name = ENV.fetch('APP_NAME')
  config.app_env = if ENV['APP_ENV_NAME'].present? && ENV['APP_ENV_NAME'] != 'default'
    "#{ENV.fetch('APP_ENV')}-#{ENV.fetch('APP_ENV_NAME')}"
  else
    ENV.fetch('APP_ENV')
  end

  config.rollbar_access_token = ''
  config.rollbar_enabled = ENV["ROLLBAR_ENABLED"] == '1'

  config.datadog_statsd_url = ENV["DOGSTATSD_URL"].presence
  config.datadog_trace_url = ENV["DATADOG_TRACE_URL"].presence
end
